Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: qt5-styleplugins 5.0.0-7

Git Clone URL: https://aur-dev.archlinux.org/qt5-styleplugins.git (read-only)
Package Base: qt5-styleplugins
Description: Additional style plugins for Qt5
Upstream URL: https://code.qt.io/cgit/qt/qtstyleplugins
Licenses: LGPL
Conflicts: qt5-styleplugins
Provides: qt5-styleplugins
Submitter: nfnty
Maintainer: nfnty
Last Packager: nfnty
Votes: 81
Popularity: 10.201467
First Submitted: 2016-06-25 09:59
Last Updated: 2017-01-30 01:57

Pinned Comments

nfnty commented on 2016-06-25 11:13

Issues and pull requests at https://github.com/nfnty/pkgbuilds

Latest Comments

1 2 Next › Last »

nfnty commented on 2017-01-25 09:41

@xduugu Thanks.

Does anyone know if Qt 5.8 ships with a GTK3 platformtheme?

xduugu commented on 2017-01-24 21:20

Needs an update to build against qt 5.8.

https://code.qt.io/cgit/qt/qtstyleplugins.git/commit/?id=600c296f4d429ffeb8203feb54efeacc2bbea0f7

nfnty commented on 2016-12-19 04:03

@lkollenberger Open an issue over at github and post the whole log, thanks.

lkollenberger commented on 2016-12-19 03:29

Seems makepkg is looking for qmake in the wrong place:

==> Starting build()...
cd src/ && ( test -e Makefile || /usr/bin/qmake /home/lkollenberger/aur/qt5-styleplugins/src/qtstyleplugins/src/src.pro PREFIX=/usr LIBDIR=/usr/lib -o Makefile ) && make -f Makefile
make[1]: Entering directory '/home/lkollenberger/aur/qt5-styleplugins/src/qtstyleplugins/src'
/usr/lib/qt/bin/qmake PREFIX=/usr LIBDIR=/usr/lib -o Makefile src.pro
make[1]: /usr/lib/qt/bin/qmake: Command not found

Worked around that by doing a simple "ln -s $(which qmake) /usr/lib/qt/bin/qmake"

nfnty commented on 2016-12-17 22:11

@papabean Thanks, fixed.

papabean commented on 2016-12-17 20:33

Just ran in to an issue with a couple of qt apps: mumble-git & transmission-qt would not run and produce this error: Cannot mix incompatible Qt library (version 0x50700) with this library (version 0x50701)

Appears to have been caused by this package needing to be rebuilt against qt5.7.1. Sounds like a minor version bump is in order.

nfnty commented on 2016-11-19 12:23

@cirrus Yes, the `source` was updated some time ago. Either you edit the repo's remote url in `.git/config` or delete it.

cirrus commented on 2016-11-18 16:03

Get this on 3 arch installs ..
==> Retrieving sources...
==> ERROR: /home/$USER/build/aur/qt5-styleplugins/qtstyleplugins is not a clone of https://code.qt.io/qt/qtstyleplugins.git
Aborting...
Temp workaround by editing PKGBUILD
+ url="git://code.qt.io/qt/qtstyleplugins.git"
+ source=("git://code.qt.io/qt/qtstyleplugins.git")

nfnty commented on 2016-10-30 21:49

@marcthe12 Fixed, thanks.

marcthe12 commented on 2016-10-30 13:00

the url is creating problems as it wont download. fixed by removing cgit from the url